<div class="front_page_section front_page_section_contacts<?php
	$alright_scheme = alright_get_theme_option( 'front_page_contacts_scheme' );
	if ( ! empty( $alright_scheme ) && ! alright_is_inherit( $alright_scheme ) ) {
		echo ' scheme_' . esc_attr( $alright_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( alright_get_theme_option( 'front_page_contacts_paddings' ) );
	if ( alright_get_theme_option( 'front_page_contacts_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$alright_css      = '';
		$alright_bg_image = alright_get_theme_option( 'front_page_contacts_bg_image' );
		if ( ! empty( $alright_bg_image ) ) {
			$alright_css .= 'background-image: url(' . esc_url( alright_get_attachment_url( $alright_bg_image ) ) . ');';
		}
		if ( ! empty( $alright_css ) ) {
			echo ' style="' . esc_attr( $alright_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$alright_anchor_icon = alright_get_theme_option( 'front_page_contacts_anchor_icon' );
	$alright_anchor_text = alright_get_theme_option( 'front_page_contacts_anchor_text' );
if ( ( ! empty( $alright_anchor_icon ) || ! empty( $alright_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_contacts"'
									. ( ! empty( $alright_anchor_icon ) ? ' icon="' . esc_attr( $alright_anchor_icon ) . '"' : '' )
									. ( ! empty( $alright_anchor_text ) ? ' title="' . esc_attr( $alright_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_contacts_inner
	<?php
	if ( alright_get_theme_option( 'front_page_contacts_fullheight' ) ) {
		echo ' alright-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$alright_css      = '';
			$alright_bg_mask  = alright_get_theme_option( 'front_page_contacts_bg_mask' );
			$alright_bg_color_type = alright_get_theme_option( 'front_page_contacts_bg_color_type' );
			if ( 'custom' == $alright_bg_color_type ) {
				$alright_bg_color = alright_get_theme_option( 'front_page_contacts_bg_color' );
			} elseif ( 'scheme_bg_color' == $alright_bg_color_type ) {
				$alright_bg_color = alright_get_scheme_color( 'bg_color', $alright_scheme );
			} else {
				$alright_bg_color = '';
			}
			if ( ! empty( $alright_bg_color ) && $alright_bg_mask > 0 ) {
				$alright_css .= 'background-color: ' . esc_attr(
					1 == $alright_bg_mask ? $alright_bg_color : alright_hex2rgba( $alright_bg_color, $alright_bg_mask )
				) . ';';
			}
			if ( ! empty( $alright_css ) ) {
				echo ' style="' . esc_attr( $alright_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_contacts_content_wrap content_wrap">
			<?php

			// Title and description
			$alright_caption     = alright_get_theme_option( 'front_page_contacts_caption' );
			$alright_description = alright_get_theme_option( 'front_page_contacts_description' );
			if ( ! empty( $alright_caption ) || ! empty( $alright_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				// Caption
				if ( ! empty( $alright_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_contacts_caption front_page_block_<?php echo ! empty( $alright_caption ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( $alright_caption, 'alright_kses_content' );
					?>
					</h2>
					<?php
				}

				// Description
				if ( ! empty( $alright_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_contacts_description front_page_block_<?php echo ! empty( $alright_description ) ? 'filled' : 'empty'; ?>">
					<?php
						echo wp_kses( wpautop( $alright_description ), 'alright_kses_content' );
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$alright_content = alright_get_theme_option( 'front_page_contacts_content' );
			$alright_layout  = alright_get_theme_option( 'front_page_contacts_layout' );
			if ( 'columns' == $alright_layout && ( ! empty( $alright_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_columns front_page_section_contacts_columns columns_wrap">
					<div class="column-1_3">
				<?php
			}

			if ( ( ! empty( $alright_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				<div class="front_page_section_content front_page_section_contacts_content front_page_block_<?php echo ! empty( $alright_content ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $alright_content, 'alright_kses_content' );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $alright_layout && ( ! empty( $alright_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div><div class="column-2_3">
				<?php
			}

			// Shortcode output
			$alright_sc = alright_get_theme_option( 'front_page_contacts_shortcode' );
			if ( ! empty( $alright_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_contacts_output front_page_block_<?php echo ! empty( $alright_sc ) ? 'filled' : 'empty'; ?>">
					<?php
					alright_show_layout( do_shortcode( $alright_sc ) );
					?>
				</div>
				<?php
			}

			if ( 'columns' == $alright_layout && ( ! empty( $alright_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>

		</div>
	</div>
</div>
