<div class="front_page_section front_page_section_testimonials<?php
	$alright_scheme = alright_get_theme_option( 'front_page_testimonials_scheme' );
	if ( ! empty( $alright_scheme ) && ! alright_is_inherit( $alright_scheme ) ) {
		echo ' scheme_' . esc_attr( $alright_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( alright_get_theme_option( 'front_page_testimonials_paddings' ) );
	if ( alright_get_theme_option( 'front_page_testimonials_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$alright_css      = '';
		$alright_bg_image = alright_get_theme_option( 'front_page_testimonials_bg_image' );
		if ( ! empty( $alright_bg_image ) ) {
			$alright_css .= 'background-image: url(' . esc_url( alright_get_attachment_url( $alright_bg_image ) ) . ');';
		}
		if ( ! empty( $alright_css ) ) {
			echo ' style="' . esc_attr( $alright_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$alright_anchor_icon = alright_get_theme_option( 'front_page_testimonials_anchor_icon' );
	$alright_anchor_text = alright_get_theme_option( 'front_page_testimonials_anchor_text' );
if ( ( ! empty( $alright_anchor_icon ) || ! empty( $alright_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_testimonials"'
									. ( ! empty( $alright_anchor_icon ) ? ' icon="' . esc_attr( $alright_anchor_icon ) . '"' : '' )
									. ( ! empty( $alright_anchor_text ) ? ' title="' . esc_attr( $alright_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_testimonials_inner
	<?php
	if ( alright_get_theme_option( 'front_page_testimonials_fullheight' ) ) {
		echo ' alright-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$alright_css      = '';
			$alright_bg_mask  = alright_get_theme_option( 'front_page_testimonials_bg_mask' );
			$alright_bg_color_type = alright_get_theme_option( 'front_page_testimonials_bg_color_type' );
			if ( 'custom' == $alright_bg_color_type ) {
				$alright_bg_color = alright_get_theme_option( 'front_page_testimonials_bg_color' );
			} elseif ( 'scheme_bg_color' == $alright_bg_color_type ) {
				$alright_bg_color = alright_get_scheme_color( 'bg_color', $alright_scheme );
			} else {
				$alright_bg_color = '';
			}
			if ( ! empty( $alright_bg_color ) && $alright_bg_mask > 0 ) {
				$alright_css .= 'background-color: ' . esc_attr(
					1 == $alright_bg_mask ? $alright_bg_color : alright_hex2rgba( $alright_bg_color, $alright_bg_mask )
				) . ';';
			}
			if ( ! empty( $alright_css ) ) {
				echo ' style="' . esc_attr( $alright_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_testimonials_content_wrap content_wrap">
			<?php
			// Caption
			$alright_caption = alright_get_theme_option( 'front_page_testimonials_caption' );
			if ( ! empty( $alright_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_testimonials_caption front_page_block_<?php echo ! empty( $alright_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $alright_caption, 'alright_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$alright_description = alright_get_theme_option( 'front_page_testimonials_description' );
			if ( ! empty( $alright_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_testimonials_description front_page_block_<?php echo ! empty( $alright_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $alright_description ), 'alright_kses_content' ); ?></div>
				<?php
			}

			// Content (widgets)
			?>
			<div class="front_page_section_output front_page_section_testimonials_output">
				<?php
				if ( is_active_sidebar( 'front_page_testimonials_widgets' ) ) {
					dynamic_sidebar( 'front_page_testimonials_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! alright_exists_trx_addons() ) {
						alright_customizer_need_trx_addons_message();
					} else {
						alright_customizer_need_widgets_message( 'front_page_testimonials_caption', 'ThemeREX Addons - Testimonials' );
					}
				}
				?>
			</div>
		</div>
	</div>
</div>
