<?php
/**
 * The template to display default site footer
 *
 * @package ALRIGHT
 * @since ALRIGHT 1.0.10
 */

$alright_footer_id = alright_get_custom_footer_id();
$alright_footer_meta = get_post_meta( $alright_footer_id, 'trx_addons_options', true );
if ( ! empty( $alright_footer_meta['margin'] ) ) {
	alright_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( alright_prepare_css_value( $alright_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $alright_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $alright_footer_id ) ) ); ?>
						<?php
						$alright_footer_scheme = alright_get_theme_option( 'footer_scheme' );
						if ( ! empty( $alright_footer_scheme ) && ! alright_is_inherit( $alright_footer_scheme  ) ) {
							echo ' scheme_' . esc_attr( $alright_footer_scheme );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'alright_action_show_layout', $alright_footer_id );
	?>
</footer><!-- /.footer_wrap -->
