<?php
/**
 * The template to display the background video in the header
 *
 * @package ALRIGHT
 * @since ALRIGHT 1.0.14
 */
$alright_header_video = alright_get_header_video();
$alright_embed_video  = '';
if ( ! empty( $alright_header_video ) && ! alright_is_from_uploads( $alright_header_video ) ) {
	if ( alright_is_youtube_url( $alright_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $alright_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php alright_show_layout( alright_get_embed_video( $alright_header_video ) ); ?></div>
		<?php
	}
}
