<div class="front_page_section front_page_section_about<?php
	$alright_scheme = alright_get_theme_option( 'front_page_about_scheme' );
	if ( ! empty( $alright_scheme ) && ! alright_is_inherit( $alright_scheme ) ) {
		echo ' scheme_' . esc_attr( $alright_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( alright_get_theme_option( 'front_page_about_paddings' ) );
	if ( alright_get_theme_option( 'front_page_about_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$alright_css      = '';
		$alright_bg_image = alright_get_theme_option( 'front_page_about_bg_image' );
		if ( ! empty( $alright_bg_image ) ) {
			$alright_css .= 'background-image: url(' . esc_url( alright_get_attachment_url( $alright_bg_image ) ) . ');';
		}
		if ( ! empty( $alright_css ) ) {
			echo ' style="' . esc_attr( $alright_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$alright_anchor_icon = alright_get_theme_option( 'front_page_about_anchor_icon' );
	$alright_anchor_text = alright_get_theme_option( 'front_page_about_anchor_text' );
if ( ( ! empty( $alright_anchor_icon ) || ! empty( $alright_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_about"'
									. ( ! empty( $alright_anchor_icon ) ? ' icon="' . esc_attr( $alright_anchor_icon ) . '"' : '' )
									. ( ! empty( $alright_anchor_text ) ? ' title="' . esc_attr( $alright_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_about_inner
	<?php
	if ( alright_get_theme_option( 'front_page_about_fullheight' ) ) {
		echo ' alright-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$alright_css           = '';
			$alright_bg_mask       = alright_get_theme_option( 'front_page_about_bg_mask' );
			$alright_bg_color_type = alright_get_theme_option( 'front_page_about_bg_color_type' );
			if ( 'custom' == $alright_bg_color_type ) {
				$alright_bg_color = alright_get_theme_option( 'front_page_about_bg_color' );
			} elseif ( 'scheme_bg_color' == $alright_bg_color_type ) {
				$alright_bg_color = alright_get_scheme_color( 'bg_color', $alright_scheme );
			} else {
				$alright_bg_color = '';
			}
			if ( ! empty( $alright_bg_color ) && $alright_bg_mask > 0 ) {
				$alright_css .= 'background-color: ' . esc_attr(
					1 == $alright_bg_mask ? $alright_bg_color : alright_hex2rgba( $alright_bg_color, $alright_bg_mask )
				) . ';';
			}
			if ( ! empty( $alright_css ) ) {
				echo ' style="' . esc_attr( $alright_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_about_content_wrap content_wrap">
			<?php
			// Caption
			$alright_caption = alright_get_theme_option( 'front_page_about_caption' );
			if ( ! empty( $alright_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_about_caption front_page_block_<?php echo ! empty( $alright_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $alright_caption, 'alright_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$alright_description = alright_get_theme_option( 'front_page_about_description' );
			if ( ! empty( $alright_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_about_description front_page_block_<?php echo ! empty( $alright_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $alright_description ), 'alright_kses_content' ); ?></div>
				<?php
			}

			// Content
			$alright_content = alright_get_theme_option( 'front_page_about_content' );
			if ( ! empty( $alright_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_content front_page_section_about_content front_page_block_<?php echo ! empty( $alright_content ) ? 'filled' : 'empty'; ?>">
					<?php
					$alright_page_content_mask = '%%CONTENT%%';
					if ( strpos( $alright_content, $alright_page_content_mask ) !== false ) {
						$alright_content = preg_replace(
							'/(\<p\>\s*)?' . $alright_page_content_mask . '(\s*\<\/p\>)/i',
							sprintf(
								'<div class="front_page_section_about_source">%s</div>',
								apply_filters( 'the_content', get_the_content() )
							),
							$alright_content
						);
					}
					alright_show_layout( $alright_content );
					?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
