(function(blocks, editor, i18n, element) {
    // Add new param for search layout
    trx_addons_add_filter( 'trx_addons_gb_map_add_params', function( param, layout  ) {
        // Services
        if( layout.includes('trx-addons/services') ) {
            for( var i = 0; i < param.length; i++) {
                if( param[i]['name'] == 'featured' ) {
                    param[i]['dependency']['type'].push('classic','extra');
                }
            }
        }
        // Blogger
        if( layout.includes('trx-addons/blogger') ) {
            for( var i = 0; i < param.length; i++) {
                if( param[i]['name'] == 'meta_parts' ) {
                    param[i]['dependency']['type'].push('lay_portfolio', 'lay_portfolio_grid', 'portmodern', 'portestate');
                    break;
                }
            }
        }
        // Search
        if( layout.includes('trx-addons/layouts-search') ) {
            for( var i = 0; i < param.length; i++) {
                if( param[i]['name'] == 'style' ) {
                    const dependency = {
                        'dependency': {
                            'type': ['default']
                        }
                    };
                    if ( typeof(param[i]) == 'object' ) {
                        Object.assign( param[i], dependency);
                    }
                    break;
                }
            }
        }
        return param;
    });
})( window.wp.blocks, window.wp.editor, window.wp.i18n, window.wp.element );
