<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package ALRIGHT
 * @since ALRIGHT 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$alright_copyright_scheme = alright_get_theme_option( 'copyright_scheme' );
if ( ! empty( $alright_copyright_scheme ) && ! alright_is_inherit( $alright_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $alright_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$alright_copyright = alright_get_theme_option( 'copyright' );
			if ( ! empty( $alright_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$alright_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $alright_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$alright_copyright = alright_prepare_macros( $alright_copyright );
				// Display copyright
				echo wp_kses( nl2br( $alright_copyright ), 'alright_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
